Subject: [siprec] Feddback on draft-yan-siprec-msrp-recording-01

From: Saúl Ibarra Corretgé <[email-masked]>
Date: Sun, 20 Jul 2014 19:37:47 +0200

Hi all,

Paul recently asked if Icould have a look at this draft since I’ve worked on some MSRP implementations and participated on some discussions over at SIMPLE, so here it goes :-)

Disclaimer: I´m not all that familiar with SIPREC and all prior discussions about this draft, so apologies if I guessed something incorrectly and / or repeated something.

1. Introduction

Some SIPREC related acronyms are expanded the first time they are used, but not all. It might help to do so at least the first time they are used. Is this what would go on Section 2?

3.1 MSRP Client acts as SRC

Is there any defined mechanism to notify an endpoint that the session is going to be recorded? If a client is going to act as a SRC then I guess it should add some indication to the SDP so the other endpoint can decide if she wants to maintain that chat conversation, knowing that it will be recorded. Now, if recording can be toggled on and off while in the middle of a session then some other mechanism might be necessary, perhaps a header in an empty SEND chunk?

3.2.  MSRP Relay acts as SRC

I see this section is still on the works. I think there are 2 separate cases: using an outbound relay and using an inbound one. A user may choose to use an outbound relay for recording purposes, in which case this would need to be signalled to the relay somehow. If the recipient of an INVITE needs to use an inbound relay for NAT traversal purposes, she might also be interested in recording the session.

As mentioned above, perhaps a header in the empty SEND chunk used to bind the session could be used to let the other endpoint know the session is going to be recorded.

4.  MSRP Media Stream Mixing

I think CPIM should me made a MUST here. There is no way to know who sent what (including the switch itself) unless CPIM is in use. Also, there would be no way to send private messages across a switch unless CPIM is used.

Also, not sure if as part of this draft or perhaps a new one, but the recording mechanism could also be used in reverse by the MSRP switch, to replay the conference history to new participants who join.

8. Recording Chatrooms

IMHO, if a chatroom record messages it should advertise so in the a=chatroom attribute, i.e.: “a=chatroom:nickname private-messages
 siprec”.

Again, this is the first time I come across SIPREC, so please take the above with a grain of salt.

Regards,

--
Saúl Ibarra Corretgé
AG Projects